%define apiver 1.0
%define scim_api 1.4.0
%define major 8
%define libname %mklibname %{name} %apiver %major
%define develname %mklibname -d %{name}

Name:		scim
Summary:	Smart Common Input Method platform
Version:	1.4.17
Release:	%mkrel 1
Group:		System/Internationalization
License:	LGPLv2+
# alt URL:	http://sourceforge.net/projects/scim/
URL:		http://www.scim-im.org
Source0:	http://downloads.sourceforge.net/scim/%{name}-%{version}.tar.gz
# change hot keys per locale (from fedora)
Source1:	scim-system-config
# add scim dir macros
Source2:	scim.macros
# https://sourceforge.net/p/scim/patches/12
Source3:	ru.po
BuildRequires: pkgconfig(clutter-1.0)
BuildRequires: pkgconfig(clutter-imcontext-0.1)
BuildRequires: pkgconfig(gdk-pixbuf-2.0) >= 2.4.0
BuildRequires: pkgconfig(gthread-2.0) >= 2.0.0
BuildRequires: pkgconfig(gtk+-2.0) >= 2.4.0
BuildRequires: pkgconfig(gtk+-3.0) >= 3.0.0
BuildRequires: pkgconfig(pango) >= 1.1.0
BuildRequires: pkgconfig(QtCore) >= 4.0
BuildRequires: pkgconfig(QtGui) >= 4.0
BuildRequires: intltool
BuildRequires: gettext-devel
BuildRequires: libltdl-devel

Requires:	%{name}-common = %version-%release
# fwang: in fact, scim could interact with gtk2 apps via xim
Recommends:	%{name}-gtk
Conflicts:	%{libname} < 1.4.7-8
Conflicts:	%{mklibname scim 8} < 1.4.7-8

%description
SCIM is a developing platform to significant reduce the difficulty of 
input method development. 

%files
%doc AUTHORS COPYING README ChangeLog TODO
%{_bindir}/scim

#----------------------------------------------------------------------
%package -n %{libname}
Summary:	SCIM library
Group:		System/Internationalization
Requires:	%name-common = %version
Obsoletes:	%mklibname scim 0
Obsoletes:	%mklibname scim 8
Conflicts:	%{name} < 1.4.7-8

%description -n %{libname}
SCIM library.

%files -n %{libname}
%{_libdir}/*.so.%{major}*

#----------------------------------------------------------------------
%package common
Summary:        SCIM common files
Group:          System/Internationalization
Requires:       %{libname} = %version-%release
Conflicts:      %{libname} < 1.4.7-8
Conflicts:	%{mklibname scim 8} < 1.4.7-8
Conflicts:	%{name} < 1.4.7-10

%description common
Common files for scim input method.

%files common -f %name.lang
%{_bindir}/scim-im-agent
%{_bindir}/scim-setup
%{_bindir}/scim-config-agent
%dir %{_sysconfdir}/scim
%config(noreplace) %{_sysconfdir}/scim/*
%{_libdir}/scim-1.0/scim-helper-launcher
%{_libdir}/scim-1.0/scim-helper-manager
%{_libdir}/scim-1.0/scim-launcher
%{_libdir}/scim-1.0/scim-panel-gtk
%dir %{_libdir}/scim-1.0/%{scim_api}
%{_libdir}/scim-1.0/%{scim_api}/Filter
%{_libdir}/scim-1.0/%{scim_api}/FrontEnd
%{_libdir}/scim-1.0/%{scim_api}/Helper
%dir %{_libdir}/scim-1.0/%{scim_api}/IMEngine
%{_libdir}/scim-1.0/%{scim_api}/IMEngine/socket.so
%{_libdir}/scim-1.0/%{scim_api}/IMEngine/rawcode.so
%{_libdir}/scim-1.0/%{scim_api}/SetupUI
%{_libdir}/scim-1.0/%{scim_api}/Config
%{_datadir}/applications/*.desktop
%{_datadir}/%{name}
%{_datadir}/pixmaps/*
%{_datadir}/control-center-2.0/capplets/scim-setup.desktop

#----------------------------------------------------------------------
%package gtk
Summary:        SCIM Gtk IM module
Group:          System/Internationalization
Requires:       %libname = %version-%release
Conflicts:      %{libname} < 1.4.7-8
Conflicts:	%{mklibname scim 8} < 1.4.7-8
Requires(post):	gtk+2.0
Requires(postun): gtk+2.0

%description gtk
This package provides a GTK input method module for SCIM.

%files gtk
%{_libdir}/gtk-2.0/*/immodules/im-scim.so

#----------------------------------------------------------------------
%package gtk3
Summary:        SCIM Gtk3 IM module
Group:          System/Internationalization
Requires:       %libname = %version-%release
Requires(post): gtk+3.0
Requires(postun): gtk+3.0

%description gtk3
This package provides a GTK3 input method module for SCIM.

%files gtk3
%{_libdir}/gtk-3.0/*/immodules/im-scim.so

#----------------------------------------------------------------------
%package clutter
Summary:        SCIM clutter IM module
Group:          System/Internationalization
Requires(post): clutter-imcontext
Requires(postun): clutter-imcontext

%description clutter 
This package provides a clutter input method module for SCIM.

%post clutter
%{_bindir}/clutter-scan-immodules > %{_sysconfdir}/clutter-imcontext/clutter.immodules

%postun clutter
%{_bindir}/clutter-scan-immodules > %{_sysconfdir}/clutter-imcontext/clutter.immodules

%files clutter
%{_libdir}/clutter-imcontext/immodules/im-scim.so

#----------------------------------------------------------------------
%package qt4
Summary:        SCIM qt4 IM module
Group:          System/Internationalization

%description qt4
This package provides a qt4 input method module for SCIM.

%files qt4
%{_qt4_plugindir}/inputmethods/im-scim.so

#----------------------------------------------------------------------
%package -n %{develname}
Summary:	Headers of SCIM for development
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%mklibname -d scim 0
Obsoletes:	%mklibname -d scim 8

%description -n %{develname}
Headers of %{name} for development.

%files -n %{develname}
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/scim-1.0
%{_sysconfdir}/rpm/macros.d/scim.macros
#----------------------------------------------------------------------

%prep
%setup -q

# update the config file
mv configs/config{,.orig} 
cp -p %{SOURCE1} configs/config

cp -f %{SOURCE3} ./po/

%build
./bootstrap
%configure2_5x --disable-static --enable-ld-version-script --enable-clutter-immodule
%make

%install
%makeinstall_std

# remove unneeded files
find %{buildroot} -name '*.la' | xargs rm 

# install scim.macros
install -D -m0644 %SOURCE2 %buildroot%{_sysconfdir}/rpm/macros.d/scim.macros

%find_lang %{name}


%changelog
* Sun Jun 05 2016 yochenhsieh <yochenhsieh> 1.4.17-1.mga6
+ Revision: 1020253
- remove icons from fedora.
- New version 1.4.17

* Wed May 04 2016 yochenhsieh <yochenhsieh> 1.4.16-1.mga6
+ Revision: 1009299
- new version 1.4.16

* Sat Jan 02 2016 luigiwalser <luigiwalser> 1.4.15-1.mga6
+ Revision: 918482
- explicitly enable clutter immodule
- 1.4.15

  + alexl <alexl>
    - add translatable GenericName

* Wed Aug 26 2015 cjw <cjw> 1.4.14-11.mga6
+ Revision: 870028
- rebuild with gcc 5

* Wed Nov 19 2014 alexl <alexl> 1.4.14-10.mga5
+ Revision: 797917
- updated Russian translation

* Wed Oct 15 2014 umeabot <umeabot> 1.4.14-9.mga5
+ Revision: 749163
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.4.14-8.mga5
+ Revision: 689058
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Sun Jul 20 2014 colin <colin> 1.4.14-7.mga5
+ Revision: 654759
- Drop RPM scripts for immodules (handled by filetriggers)

* Tue May 06 2014 yochenhsieh <yochenhsieh> 1.4.14-6.mga5
+ Revision: 620376
- Alter gtk-query-immodules-2.0 command to fix bug 8731.

* Fri Oct 18 2013 umeabot <umeabot> 1.4.14-5.mga4
+ Revision: 518168
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.4.14-4.mga3
+ Revision: 381837
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 10 2013 fwang <fwang> 1.4.14-3.mga3
+ Revision: 344578
- fix build with automake 1.13

* Thu Nov 29 2012 pterjan <pterjan> 1.4.14-2.mga3
+ Revision: 322897
- Add missing include in scim_hotkeys.cpp

* Mon Jun 25 2012 fwang <fwang> 1.4.14-1.mga3
+ Revision: 263378
- update file list
- update file list
- tweak br
- fix build
- br gettext
- new version 1.4.14

* Wed Aug 10 2011 fwang <fwang> 1.4.11-1.mga2
+ Revision: 132446
- revert upstream patch r303, it breaks build
- new version 1.4.11

* Sun Jun 12 2011 fwang <fwang> 1.4.10-1.mga2
+ Revision: 105164
- new version 1.4.10

* Mon Jan 24 2011 ahmad <ahmad> 1.4.9-8.mga1
+ Revision: 35998
- drop old/unneeded scriptlets
- imported package scim


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 1.4.9-7mdv2011.0
+ Revision: 607514
- rebuild

* Fri Jun 18 2010 Funda Wang <fwang@mandriva.org> 1.4.9-6mdv2010.1
+ Revision: 548294
- add ubuntu#475800 patch to finally fix scim starting problem (mdv#55155)

* Sun May 09 2010 Funda Wang <fwang@mandriva.org> 1.4.9-5mdv2010.1
+ Revision: 544230
- fix tray icon (maybe the last try)

* Fri May 07 2010 Funda Wang <fwang@mandriva.org> 1.4.9-4mdv2010.1
+ Revision: 543094
- only prefer scim-bridge
- bump rel to push default IME for zh_CN
- use google pinyin as default IME

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 1.4.9-3mdv2010.1
+ Revision: 521765
- rebuilt for 2010.1

* Sun Sep 20 2009 Funda Wang <fwang@mandriva.org> 1.4.9-2mdv2010.0
+ Revision: 444818
- rebuild

* Fri May 01 2009 Funda Wang <fwang@mandriva.org> 1.4.9-1mdv2010.0
+ Revision: 369354
- New version 1.4.9

* Sun Jan 25 2009 Funda Wang <fwang@mandriva.org> 1.4.8-1mdv2009.1
+ Revision: 333385
- New version 1.4.8

* Sun Nov 09 2008 Funda Wang <fwang@mandriva.org> 1.4.7-14mdv2009.1
+ Revision: 301259
- support more utf-8 locales
- fix gdm problem (from fedora)
- drop ime disabling due to scim-tables refactorying

* Sat Nov 08 2008 Oden Eriksson <oeriksson@mandriva.com> 1.4.7-13mdv2009.1
+ Revision: 301012
- rebuilt against new libxcb

* Sat Aug 30 2008 Funda Wang <fwang@mandriva.org> 1.4.7-12mdv2009.0
+ Revision: 277555
- revert vertical alignment for candidates window

* Wed Jun 18 2008 Funda Wang <fwang@mandriva.org> 1.4.7-11mdv2009.0
+ Revision: 225507
- fix underlinking

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed Jan 30 2008 Funda Wang <fwang@mandriva.org> 1.4.7-10mdv2008.1
+ Revision: 160144
- more strict splitting

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Dec 07 2007 Funda Wang <fwang@mandriva.org> 1.4.7-9mdv2008.1
+ Revision: 116128
- provides scim-client with its api version

* Tue Nov 13 2007 Funda Wang <fwang@mandriva.org> 1.4.7-8mdv2008.1
+ Revision: 108433
- Gconf2 is not needed
- fill up file list
- better file list
- switch to fedora package layout

* Fri Nov 02 2007 Funda Wang <fwang@mandriva.org> 1.4.7-7mdv2008.1
+ Revision: 105138
- cleanup spec file
- more libname compliance

* Sun Sep 23 2007 Funda Wang <fwang@mandriva.org> 1.4.7-6mdv2008.0
+ Revision: 92330
- renew patch on hotkey

* Tue Aug 14 2007 Funda Wang <fwang@mandriva.org> 1.4.7-5mdv2008.0
+ Revision: 63388
- fix file conflict

* Sat Aug 11 2007 Funda Wang <fwang@mandriva.org> 1.4.7-4mdv2008.0
+ Revision: 62063
- Own scim-1.0 dir

* Sat Aug 11 2007 Funda Wang <fwang@mandriva.org> 1.4.7-3mdv2008.0
+ Revision: 62026
- add rpm macro to relief work rebuilding all scim-* packages later on

* Sat Aug 11 2007 Funda Wang <fwang@mandriva.org> 1.4.7-2mdv2008.0
+ Revision: 62018
- Rebuild

* Tue Jun 26 2007 Funda Wang <fwang@mandriva.org> 1.4.7-1mdv2008.0
+ Revision: 44567
- New version

* Mon Jun 11 2007 Funda Wang <fwang@mandriva.org> 1.4.6-2mdv2008.0
+ Revision: 38002
- Updated patch1,2
- Merge UTUMI Hirosi's change

* Sun Apr 22 2007 Funda Wang <fwang@mandriva.org> 1.4.6-1mdv2008.0
+ Revision: 16901
- rediff default-config.patch
- patches merged upstream.
- New upstream version.

* Sun Apr 22 2007 Funda Wang <fwang@mandriva.org> 1.4.5-3mdv2008.0
+ Revision: 16727
- Import openSUSE Patches. Novell bug#224796.
- Import SUSE patches. Novell bug#232014.


* Fri Nov 24 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.4.5-2mdv2007.0
+ Revision: 87007
- patch3: add scim-restart (UTUMI Hirosi <utuhiro78@yahoo.co.jp>)

* Wed Oct 18 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.4.5-1mdv2007.0
+ Revision: 66000
- update source1 & patch2; patches 0 & 3 (UTUMI Hirosi <utuhiro78@yahoo.co.jp>)
- Import scim

* Fri Aug 04 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 1.4.4-9mdv2007.0
- update icons (from fedora)
- modify scim-system-default-config.patch for new icons

* Thu Aug 03 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 1.4.4-8mdv2007.0
- modify hotkeys (scim-system-default-config.patch)
- (add Control+space to scim trigger for Japanese and Korean)
- (thanks to Yukiko Bando <ybando@k6.dion.ne.jp>)

* Wed Jul 05 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 1.4.4-7mdv2007.0
- add patch3 (scim_fix_initial_toolbar_position.diff)

* Tue Jun 20 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 1.4.4-6mdv2007.0
- add patch1,2 (change hot keys per locale)

* Thu Feb 02 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.4.4-5mdk
- add obsoletes to avoid conflicts (#20965)

* Sat Jan 28 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.4.4-4mdk
- fix summary (#20880)

* Wed Jan 18 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.4.4-3mdk
- fix major

* Fri Jan 13 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 1.4.4-2mdk
- new release
- add patch0

* Tue Jan 03 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.4.3-1mdk
- new release
- drop patch 0

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 1.4.2-3mdk
- Rebuild

* Sat Aug 20 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.4.2-2mdk
- fix patch0

* Fri Aug 19 2005 Nicolas L�ureuil <neoclust@mandriva.org> 1.4.2-1mdk
- New release 1.4.2
	- RawCode IMEngine was enhanced to support all planes of UCS-4
	- A bug of focus IC handling was fixed
	- Support of compose keys will be disabled if English/European 
		input method is disabled
	- A bug in Generic IMEngine setup module was fixed
- Add Patch 0: Fix  Ja translation ( provided by Yukiko Bando )

* Fri Aug 12 2005 Nicolas L�ureuil <neoclust@mandriva.org> 1.4.1-1mdk
- New release 1.4.1
	- A serious bug which may cause segmentation fault 
		has been fixed.
	- Three new keyboard layouts have been added.
	- New translation (Panjabi) has been added.

* Sat Aug 06 2005 Thierry Vignaud <tvignaud@mandriva.com> 1.4.0-2mdk
- rebuild for new gcc/glibc (thus fixing CPU eating)

* Wed Jul 20 2005 Nicolas L�ureuil <neoclust@mandriva.org> 1.4.0-1mdk
- New release 1.4.0

* Tue Jun 21 2005 Nicolas L�ureuil <neoclust@mandriva.org> 1.3.1-1mdk
- Scim 1.3.1

* Sat Jun 18 2005 Nicolas L�ureuil <neoclust@mandriva.org> 1.3.0-2mdk
- Rebuild for new glibc

* Mon May 30 2005 Nicolas L�ureuil <neoclust@mandriva.org> 1.3.0-1mdk
- 1.3.0
        - IMEngine Filter interface was fully implemented, 
             including a Proof of Concept Filter, 
             Simplified-Traditional Chinese conversion 
	- Support of various keyboard layout was added into 
             scim::KeyEvent
	- Panel client operations have been abstracted into 
	     class PanelClient
	- New virtual method scim::IMEngineInstance::update_client_capability() 
             was added
	- Many bugfixes

* Fri May 27 2005 Nicolas L�ureuil <neoclust@mandriva.org> 1.2.3-1mdk
- 1.2.3
       - Don't match language when switching to next/previous 
           factory
       - Make scim-helper-launcher uses the default config 
           module set in global config file
       - Fixed the recursive calling issue of SocketIMEngine
       - A small bug in scim-panel-gtk was also fixed

* Thu Apr 28 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 1.2.2-1mdk
- new release

* Sat Apr 16 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 1.2.1-1mdk
- new release
- remove patch0 (merged upstream)

* Fri Mar 18 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2.0-3mdk
- require scim in order to prevent non working gtk+ apps when manually
  installing libscim0 (#14765)
- fix file conflict btw

* Tue Mar 08 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2.0-2mdk
- remove uneeded conflicts (#14276)

* Tue Mar 01 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2.0-1mdk
- new release
- misc fixes
- patch 0: update japanese translation

* Thu Feb 17 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 1.1.3-1mdk
- new release
- fix immodules registration on biarch
- add manual
- spec cleanup

* Wed Jan 05 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 1.0.2-2mdk
- fix install script (post)

* Sat Jan 01 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 1.0.2-1mdk
- new release
- change URL
- use James Su's install script

* Tue Oct 05 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 1.0.1-1mdk
- new release
- add patch0

* Tue Aug 31 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.99.9-1mdk
- new release

* Mon Aug 23 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.99.8-1mdk
- new release
- remove patches 0 and 1 (merged upstream)

* Thu Aug 19 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.99.6-4mdk
- patch 1: fix japanese translation (Yukiko Bando <ybando@k6.dion.ne.jp>)

* Tue Aug 17 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.99.6-3mdk
- patch 0: really integrate korean translation

* Sun Aug 15 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.99.6-2mdk
- patch 0: add korean translation (Kitae <neeum at yahoo.com)

* Sat Aug 14 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.99.6-1mdk
- new release

* Fri Aug 06 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.99.5-3mdk
- quiet post-install script

* Fri Jul 30 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.99.5-2mdk
- workaround IM loading (dlopen() faillure)

* Fri Jul 30 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.99.5-1mdk
- new release

* Thu Jul 29 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.99.4-2.cvs20040724.4mdk
- biarch support

* Thu Jul 29 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.99.4-2.cvs20040724.3mdk
- update IM list in proper package

* Thu Jul 29 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.99.4-2.cvs20040724.2mdk
- prevent libraries from being included in main package too

* Sun Jul 25 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.99.4-2.cvs20040724.1mdk
- cvs 20040724

* Thu Jul 22 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.99.4-1mdk
- do not package empty doc
- new release (UTUMI Hirosi <utuhiro78@yahoo.co.jp>)

* Fri Jul 02 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.99.2-2mdk
- BuildRequires: libGConf2-devel

* Fri Jul 02 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.99.2-1mdk
- new release

* Fri Jun 25 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.99.0-1mdk
- fix buildrequies
- new release (UTUMI Hirosi <utuhiro78@yahoo.co.jp>)

* Mon Jun 14 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.9.7-2mdk
- 20040613cvs
- remove uim from Conflicts

* Sat Jun 12 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.7-1mdk
- fix libification
- initial spec for mdk by UTUMI Hirosi <utuhiro78@yahoo.co.jp>

